
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Submitted Form</title>
    <link href="style.css" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Quintessential&display=swap" rel="stylesheet">
    <link rel="icon" type="image/x-icon" href="Photos/Logo.webp">
    <?php


$fname = $_REQUEST['firstName'];
$lname = $_REQUEST['lastName'];
$phone = $_REQUEST['phone'];
$comments = $_REQUEST['comments'];
$message = "Name: " . $fname . " " . $lname . "\nPhone: " . $phone;  

$to = "stephen.mathie@mtchs.org";
$subject = "Contact Form Request";
$from = $_REQUEST['email'];
$spamCheck = $_REQUEST['address'];

if($spamCheck) {
     die("Don't send this");
}
else {
     mail($to, $subject, $message, $from);


header("Location: https://bentaylor.smtchs.org/PHP_Email/message.html");

} 
?>
</head>
<body>
    <div class="menu">
        <div>
            <a href="home.html"><img src="Photos/ninjago-logo.webp" class="icon"></a>
        </div>
        <nav>
            <a href="home.html">Home</a>
            <a href="protagonists.html">Protagonists</a>
            <a href="antagonists.html">Antagonists</a>
            <a href="seasons.html">Seasons</a>
            <a href="mcguffins.html">McGuffins</a>
        </nav>
    </div>
    <form action="formmail.php" method="POST">
        <p class="form-flex">
            <label>First Name: </label>
            <input type="text" placeholder="First Name" required name="firstName"/>
        </p>
        <p class="form-flex">
            <label>Last Name: </label>
            <input type="text" placeholder="Last Name" required name="lastName"/>
        </p>
        <p class="form-flex">
            <label>Email: </label>
            <input type="email" placeholder="Email"required name="email" />
        </p>
        <p class="form-flex">
            <label>Phone: </label>
            <input type="tel" placeholder="Phone"name="phone"/>
        </p>
        <p class="form-flex">
            <label>Comments: </label>
            <textarea placeholder="Details" maxlength="256" name="comments"></textarea>
        </p>
        <p class="center">
            <input type="submit" value="Submit" />
        </p>

        <p class="form-flex">
            <input type="text" placeholder="Address" name="address" hidden/>
        </p>
    </form>
    <div class="home">
        <h1>Thank You!</h1>
    </div>
    <footer>
        <ul>
            <li><a href="https://leiningerk2027.smtchs.org/form.php">Contact Us</a></li>
            <li>©Ninjago</li>
            <li><a href="https://www.lego.com/en-us/themes/ninjago/about" target="_blank"><img src="Photos/Lego.png" class="icon"></a></li>
        </ul>
    </footer>
</body>
</html>